import 'package:domain/entity/form_submitted_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/form_submitted_page_entity.g.dart';
import 'dart:convert';

export 'package:domain/generated/json/form_submitted_page_entity.g.dart';

@JsonSerializable()
class FormSubmittedPageEntity {
	int count = 0;
	int page =0;
	int limit =0;
	@JSONField(name: "count_page")
	int countPage =0;
	List<FormSubmittedEntity>? list = [];

	FormSubmittedPageEntity();

	factory FormSubmittedPageEntity.fromJson(Map<String, dynamic> json) => $FormSubmittedPageEntityFromJson(json);

	Map<String, dynamic> toJson() => $FormSubmittedPageEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}
